| axivdma Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- m
- p
- r
- s
- u
- v
- w

### - a -

- AddrWidth : XAxiVdma_Config , XAxiVdma

### - b -

- BaseAddr : XAxiVdma
- BaseAddress : XAxiVdma_Config

### - c -

- CompletionCallBack : XAxiVdma_ChannelCallBack
- CompletionRef : XAxiVdma_ChannelCallBack

### - d -

- DeviceId : XAxiVdma_Config

### - e -

- EnableAllDbgFeatures : XAxiVdma_Config
- EnableCircularBuf : XAxiVdma_DmaSetup
- EnableFrameCounter : XAxiVdma_DmaSetup
- EnableSync : XAxiVdma_DmaSetup
- EnableVFlip : XAxiVdma_DmaSetup
- EnableVIDParamRead : XAxiVdma , XAxiVdma_Config
- ErrCallBack : XAxiVdma_ChannelCallBack
- ErrRef : XAxiVdma_ChannelCallBack

### - f -

- FixedFrameStoreAddr : XAxiVdma_DmaSetup
- FlushonFsync : XAxiVdma_Config
- FrameDelay : XAxiVdma_DmaSetup
- FrameStoreStartAddr : XAxiVdma_DmaSetup

### - g -

- GenLockRepeat : XAxiVdma_DmaSetup

### - h -

- HasMm2S : XAxiVdma_Config , XAxiVdma
- HasMm2SDRE : XAxiVdma , XAxiVdma_Config
- HasS2Mm : XAxiVdma_Config , XAxiVdma
- HasS2MmDRE : XAxiVdma , XAxiVdma_Config
- HasSG : XAxiVdma , XAxiVdma_Config
- HasVFlip : XAxiVdma_Config
- HoriSizeInput : XAxiVdma_DmaSetup

### - i -

- InternalGenLock : XAxiVdma_Config , XAxiVdma
- IntrParent : XAxiVdma_Config
- IsReady : XAxiVdma

### - m -

- MaxFrameStoreNum : XAxiVdma_Config
- MaxNumFrames : XAxiVdma
- Mm2SBufDepth : XAxiVdma_Config
- Mm2SDlyCntrEn : XAxiVdma_Config
- Mm2SFrmCntrEn : XAxiVdma_Config
- Mm2SFrmStoreRegEn : XAxiVdma_Config
- Mm2SGenLock : XAxiVdma_Config
- Mm2SStreamWidth : XAxiVdma_Config
- Mm2SThresRegEn : XAxiVdma_Config
- Mm2SWordLen : XAxiVdma_Config

### - p -

- PointNum : XAxiVdma_DmaSetup

### - r -

- ReadCallBack : XAxiVdma
- ReadChannel : XAxiVdma
- ReadDelayTimerCount : XAxiVdma_FrameCounter
- ReadFrameCount : XAxiVdma_FrameCounter

### - s -

- S2MmBufDepth : XAxiVdma_Config
- S2MmDlyCntrEn : XAxiVdma_Config
- S2MmFrmCntrEn : XAxiVdma_Config
- S2MmFrmStoreRegEn : XAxiVdma_Config
- S2MmGenLock : XAxiVdma_Config
- S2MmSOF : XAxiVdma_Config
- S2MmStreamWidth : XAxiVdma_Config
- S2MmThresRegEn : XAxiVdma_Config
- S2MmWordLen : XAxiVdma_Config
- Stride : XAxiVdma_DmaSetup

### - u -

- UseFsync : XAxiVdma_Config , XAxiVdma

### - v -

- VertSizeInput : XAxiVdma_DmaSetup

### - w -

- WriteCallBack : XAxiVdma
- WriteChannel : XAxiVdma
- WriteDelayTimerCount : XAxiVdma_FrameCounter
- WriteFrameCount : XAxiVdma_FrameCounter